/*
	CSS Syntax
	
	CSS Rule-Set
	block
	selector {
		property: value; - declaration
	}
*/


	/* * - universal selector. It is able to select 
	all the elements in an HTML page.

	font-family property allows to determine the font 
	of the text. The value "Courier New" becomes the default 
	font for our elements.monospace is the secondary font or the 
	fallback font, which means if the font "Courier New" is not 
	installed or cannot be found, we will fallback to use a font 
	similar to "Courier New".

	font-size property allows us to change the size of the font.
	font-size can also measured not only by pixel. Other CSS measurements can
	be used to determine the font-size.


 */
	
* {
	/*default font for all elements*/
	font-family: "Courier New", monospace;
	font-size: 20px;
}

html {
	/*scroll-behavior changes the scrolling when navigating within the page*/
	scroll-behavior: smooth;
}

body {
	/*background-color changes the color of the background of an element */
	background-color: skyblue;
}

nav {
	background-color: white;
}

/*selector: hover pseudo class
  
  change the style of an element when hovered over.
*/
a:hover {
	background-color: #b4d6de;
}

nav > div {
	/*display:  inline-block allowed to change the display of the div
	element from block to inline block, which means this div is now inline
	with its siblings however still act like a block element*/

	/*float:  right we were able to change the horizontal alignment of our 
	element and put it to the right of our container. */
	display: inline-block;
	float: right;
}

/* type/tag selector - allows us to select elements of the type or tag */
h1{
	/*!important will make the property a priority */
	color: black !important;
	font-size: 2rem; /*2x root-element-font-size*/
	text-align: center;
	/*rem - root element, rem is measurement based on the font size 
	of the root element. Default font size 16px. The root element is the html tag.
	
	*/
}

section {
	/*increase the height of our sections to 100% viewport height.
	Viewport height is the height of the page with the screen we are 
	viewing from*/
	height: 100vh;
	/*allows us to horizontally align our text within the element*/
	text-align: center;
}

h2 {
	font-size: 1.5rem;

}

ol {
	/*removes the list style from our list items*/
	list-style-type: none;
}

/* id selector allows us to select the element with a particular id. This selector is the highest priority 
	In CSS, you can select the id by adding # before the name of the id.
	*/

#zuitt-motto {
	letter-spacing: 5px;
	
}

li {
	text-transform: lowercase;
}
/* class selector allows us to select elements/elements with the same class. In CSS, we can select 
the class by adding. before the name of the class. 

	An element can have both an id and a class, however declarations for the id is given more priority over class.
*/
.offering-item {
	/*text-transform allows to determine the case of an element.*/
	text-transform: uppercase;
	/*letter-spacing: 20px;*/

}

/*attribute selector allow us to select elements with the same tag and attribute
  tag[attribute]

*/
input[required] {
	/*border-width property allows us to change the thickness of elements 
	  border-style property allows us to change the style of the border.
	  border-color property allows us to change the color of an element's border.

	  */
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	/*The input is now 90% of its parent element's*/
	width: 90%;
}


/*adjacent sibling selector. This allows us to select the sibling element directly after the first selector.

  first selector + adjacent sibling

  The first selector doesn't have to be type it could be a class, id etc.
*/
h3 + img {
	/*
		height and width properties allows us to determine the height and width of an element. 
		Unlike the height and width attributes in our HTML, in CSS,
		we can add more measurement instead of just pixels

		border-radius allows us to round the corners of an element.
	*/
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*descendant selector
  allows us to select elements which are descendant of the first selector

  first selector (ancestor) <space> second selector (descendant)
*/
#bootcamp-learning-list li {
	/*#075966 as a value to color:  this is a hex value. This is a hexadecimal value
	and it consists of the pound sign # plus 6 alphanumeric characters
	Hex value colors are more specific than HTML colors.
	*/
	color: #075966;
}

/*general sibling selector - this will allows us to select sibling after our
first selector

selector ~ selector

*/
h2 ~ a {
	/*text-decoration property change lines included in 
	text (ex. overline, underlines or strikethrough). By 
	default, anchor tags have underline.*/
	text-decoration: none;
}

/*Child Selector
	allows to select the child of an element.
  selector (parent) > selector (child)
*/
body > section > form > label {
	/*rgb() can be accepted as a value of proporties that change colors.
	RGB values refer to red,green, and blue. and the combination of these value from 
	0 to 255 determines the color.*/
 	color: rgb(0, 0, 128);
}

form {
	text-align: center;
	background-color: white;
	/*border:  <width> <style> <color>*/
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	/*Viewport width is a measurement based on a percentage of the 
	width of the screen we are viewing our page from*/
	
	/*Position property changes the position of an element based on a criteria.
	position:  relative; means we will mave the element relative to its original position in the 
	document.

	left property allows us add measurement on the left side of the element.
	The value % is based on the measurement of the parent element. 37.25% from the left of the 
	parent element.
	*/
	position: relative;
	left: 37.25%;
}

/*Mini Activity*/
button {
	color: white;
	background-color: #cf0053;
	border: 0;
	border-radius: 15px;
}